package com.sun.ts.tests.jaxrs.ee.rs.get;

import javax.ws.rs.GET;
import javax.ws.rs.Path;

public class RecursiveLocator {
	private int level = 0;

	@Path("{id}")
	public RecursiveLocator recursion() {
		level++;
		return this;
	}

	@GET
	public String getLevel() {
		return String.valueOf(level);
	}

}
